# curl_multi_select

(PHP 5, PHP 7)

curl_multi_select — Wait for activity on any curl_multi connection

### Description

curl_multi_select ( resource `$mh` [, float `$timeout` = 1.0 ] ) : int

Blocks until there is activity on any of the curl_multi connections.

### Parameters

`mh`

  A cURL multi handle returned by curl_multi_init().

`timeout`

  Time, in seconds, to wait for a response.

### Return Values

On success, returns the number of descriptors contained in the descriptor sets. This may be 0 if there was no activity on any of the descriptors. On failure, this function will return -1 on a select failure (from the underlying select system call).

### See Also

- curl_multi_init() - Returns a new cURL multi handle